# xarray.core.accessor_str.StringAccessor.rindex

`StringAccessor.``rindex`(sub, start=0, end=None)

  Return highest indexes in each strings where the substring is fully contained between [start:end]. This is the same as `str.rfind` except instead of returning -1, it raises a ValueError when the substring is not found.

  Parameters:

  - sub (str) – Substring being searched
  - start (int) – Left edge index
  - end (int) – Right edge index

  Returns: | found
  Return type: | array of integer values